Package org.opensaml.soap.soap11

# Interface Fault

All Superinterfaces:
  `SOAPObject`, `XMLObject`

All Known Implementing Classes:
  `FaultImpl`

public interface Fault extends SOAPObject
SOAP 1.1 Fault.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`FaultActor`
`getActor()`
Gets the URI of the fault actor for this fault.
`FaultCode`
`getCode()`
Gets the fault code for this fault.
`Detail`
`getDetail()`
Gets details of this fault.
`FaultString`
`getMessage()`
Gets the fault string for this fault.
`void`
`setActor(FaultActor newActor)`
Sets the URI of the fault actor for this fault.
`void`
`setCode(FaultCode newFaultCode)`
Sets the fault code for this fault.
`void`
`setDetail(Detail newDetail)`
Sets details of this fault.
`void`
`setMessage(FaultString newMessage)`
Sets the fault string for this fault.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getCode

@Nullable FaultCode getCode()
Gets the fault code for this fault.

Returns:
  the fault code for this fault

### setCode

void setCode(@Nullable FaultCode newFaultCode)
Sets the fault code for this fault.

Parameters:
  `newFaultCode` - the fault code for this fault

### getMessage

@Nullable FaultString getMessage()
Gets the fault string for this fault.

Returns:
  the fault string for this fault

### setMessage

void setMessage(@Nullable FaultString newMessage)
Sets the fault string for this fault.

Parameters:
  `newMessage` - the fault string for this fault

### getActor

@Nullable FaultActor getActor()
Gets the URI of the fault actor for this fault.

Returns:
  the URI of the fault actor for this fault

### setActor

void setActor(@Nullable FaultActor newActor)
Sets the URI of the fault actor for this fault.

Parameters:
  `newActor` - the URI of the fault actor for this fault

### getDetail

@Nullable Detail getDetail()
Gets details of this fault.

Returns:
  details of this fault

### setDetail

void setDetail(@Nullable Detail newDetail)
Sets details of this fault.

Parameters:
  `newDetail` - details of this fault